Bug 222754 - [resultsdbpy] Adopt webkitscmpy
Summary: [resultsdbpy] Adopt webkitscmpy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-04 11:32 PST by Jonathan Bedard
Modified: 2021-03-09 15:29 PST (History)
3 users (show)

See Also:


Attachments
Patch (170.46 KB, patch)
2021-03-04 11:57 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (170.47 KB, patch)
2021-03-05 10:20 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch for landing (170.51 KB, patch)
2021-03-08 10:19 PST, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-03-04 11:32:01 PST
resultsdbpy needs to adopt identifiers. Rather than reimplement identifier computation implemented by webkitscmpy, we should just use webkitscmpy.
Comment 1 Radar WebKit Bug Importer 2021-03-04 11:34:54 PST
<rdar://problem/75049209>
Comment 2 Jonathan Bedard 2021-03-04 11:57:09 PST
Created attachment 422268 [details]
Patch
Comment 3 Jonathan Bedard 2021-03-05 10:20:21 PST
Created attachment 422380 [details]
Patch
Comment 4 dewei_zhu 2021-03-08 10:00:03 PST
r=me
Comment 5 Jonathan Bedard 2021-03-08 10:19:08 PST
Created attachment 422581 [details]
Patch for landing
Comment 6 EWS 2021-03-08 11:12:19 PST
Committed r274084: <https://commits.webkit.org/r274084>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 422581 [details].